File: magic.gemspec

package info (click to toggle)
ruby-magic 0.2.9-1
  • links: PTS, VCS
  • area: main
  • in suites: bullseye, buster, sid, stretch
  • size: 160 kB
  • ctags: 33
  • sloc: ruby: 187; makefile: 3
file content (53 lines) | stat: -rw-r--r-- 2,778 bytes parent folder | download | duplicates (2)
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'magic/version'

Gem::Specification.new do |spec|
  spec.name          = "magic"
  spec.version       = Magic::VERSION
  spec.authors       = ["Kuba Ku┼║ma"]
  spec.email         = ["kuba@jah.pl"]
  spec.summary       = %q{Determine file type and encoding using "magic" numbers}
  spec.description   = %q{Ruby FFI bindings to libmagic}
  spec.homepage      = "https://github.com/qoobaa/magic"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0")
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_runtime_dependency "ffi", [">= 0.6.3"]
  spec.add_development_dependency "bundler", "~> 1.5"
  spec.add_development_dependency "rake"
  spec.add_development_dependency "test-unit", [">= 2.0"]

  spec.post_install_message = <<-EOM
+-NOTE FOR LINUX USERS----------------------------------------------+
|                                                                   |
| Install libmagic using your package manager, e.g.                 |
|                                                                   |
|   sudo apt-get install file                                       |
|                                                                   |
+-NOTE FOR WINDOWS USERS -------------------------------------------+
|                                                                   |
| Install File for Windows from                                     |
|                                                                   |
|   http://gnuwin32.sourceforge.net/packages/file.htm               |
|                                                                   |
| You'll also need to set your PATH environment variable to the     |
| directory of the magic1.dll file                                  |
|                                                                   |
|   set PATH=C:\\Program Files\\GnuWin32\\bin;%PATH%                   |
|                                                                   |
+-NOTE FOR MAC OS USERS --------------------------------------------+
|                                                                   |
| If you don't have libmagic.1.dylib file in your system, you need  |
| to install it using port command                                  |
|                                                                   |
|   sudo port install file                                          |
|                                                                   |
+-------------------------------------------------------------------+
  EOM
end